Start a new topic

TLS Protocols supported

Just curious which tls protocols are supported.  With the new push of PCI Compliance a bunch of our servers have turned of tls1.0 and this seems to be breaking some of the connections I make with RoyalTS Ftp.  Does this app support 1.1 and 1.2?  Is there a setting that needs to be enabled?

Actually I can't connect to a windows ftp server that communicates on tls1.0 1.1 or 1.2  

Cuteftp and Wsftp I could connect to the same site with tls1.0

Hi Jason,

we are using a 3rd party component ( which support TLS 1.0, 1.1 and 1.2. I've also checked our code and ensured that the allowed TLS protocols are set correctly.

To further troubleshoot the issue:

* check the log (via the View ribbon tab) after the connection cannot be established to find out if there's some error logged

* you can download the 3rd party vendor samples which includes an FTP client and try if you can repro the issue there. There's also a verbose log available.

* alternatively, you can provide access for us to one of your test servers so that we can try to repro the issue. We can then work with the vendor on a solution. In this case, please contact us by opening a ticket.

Let me know your findings


Ok .. upon further playing .. there is an option that is unchecked by detault in advanced settings called "Passive Mode"  that when I checked it, I can all of a sudden connect and ftp :)   Not sure what that setting does but it worked!

Glad to hear the issue has been resolved.
Login or Signup to post a comment